[Patchew-devel] [PATCH 2/2] server: Use centos 8

fam@euphon.net posted 2 patches 2 months ago

[Patchew-devel] [PATCH 2/2] server: Use centos 8

Posted by fam@euphon.net 2 months ago
From: Fam Zheng <fam@euphon.net>

Django now requires a newer SQLite than what's shipped by centos 7, it's
time to move forward.
---
 scripts/dockerfiles/server.docker | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/dockerfiles/server.docker b/scripts/dockerfiles/server.docker
index 1c22626..ea02434 100644
--- a/scripts/dockerfiles/server.docker
+++ b/scripts/dockerfiles/server.docker
@@ -1,7 +1,7 @@
-FROM centos:7
+FROM centos:8
 EXPOSE 80
 RUN yum install -y epel-release
-RUN yum install -y git nginx xz findutils python34 python34-pip
+RUN yum install -y git nginx xz findutils python3 python3-pip
 COPY requirements.txt /tmp/requirements.txt
 ENV PYTHONPATH .
 RUN /bin/bash -c "mkdir -p /opt/patchew && \
-- 
2.25.1



_______________________________________________
Patchew-devel mailing list
Patchew-devel@redhat.com
https://www.redhat.com/mailman/listinfo/patchew-devel